# DataExchange
TKBinXCAF
BinMXCAFDoc

# BinMXCAFDoc_LocationDriver Class Reference

`#include <BinMXCAFDoc_LocationDriver.hxx>`

## Public Member Functions

Standard_EXPORT | BinMXCAFDoc_LocationDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
virtual Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, BinObjMgt_RRelocationTable &theRelocTable) const
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, BinObjMgt_Persistent &theTarget, BinObjMgt_SRelocationTable &theRelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Translate (const BinObjMgt_Persistent &theSource, TopLoc_Location &theLoc, BinObjMgt_RRelocationTable &theMap)
static Standard_EXPORT void | Translate (const TopLoc_Location &theLoc, BinObjMgt_Persistent &theTarget, BinObjMgt_SRelocationTable &theMap)
| Translate transient location to storable .

## Constructor & Destructor Documentation

Standard_EXPORT BinMXCAFDoc_LocationDriver::BinMXCAFDoc_LocationDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const BinMXCAFDoc_LocationDriver::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Handle_TDF_Attribute BinMXCAFDoc_LocationDriver::NewEmpty | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void BinMXCAFDoc_LocationDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | BinObjMgt_Persistent & | theTarget,
|  | BinObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean BinMXCAFDoc_LocationDriver::Paste | ( | const BinObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | BinObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

static Standard_EXPORT void BinMXCAFDoc_LocationDriver::Translate | ( | const TopLoc_Location & | theLoc,
|  | BinObjMgt_Persistent & | theTarget,
|  | BinObjMgt_SRelocationTable & | theMap
| ) | `[static]`

static Standard_EXPORT Standard_Boolean BinMXCAFDoc_LocationDriver::Translate | ( | const BinObjMgt_Persistent & | theSource,
|  | TopLoc_Location & | theLoc,
|  | BinObjMgt_RRelocationTable & | theMap
| ) | `[static]`

The documentation for this class was generated from the following file:

- BinMXCAFDoc_LocationDriver.hxx